<?xml version="1.0" encoding="UTF-8" ?>
<!-- Generated by DataTracks version 1.1.9 on 24-Apr-2017 [01:04:44] {PM} EST - www.datatracks.com -->
<schema targetNamespace="http://www.agreerealty.com/20170331" elementFormDefault="qualified" xmlns:adc="http://www.agreerealty.com/20170331" xmlns="http://www.w3.org/2001/XMLSchema" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:xl="http://www.xbrl.org/2003/XLink" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:us-gaap="http://fasb.org/us-gaap/2016-01-31" xmlns:country="http://xbrl.sec.gov/country/2016-01-31" xmlns:currency="http://xbrl.sec.gov/currency/2016-01-31" xmlns:dei="http://xbrl.sec.gov/dei/2014-01-31" xmlns:exch="http://xbrl.sec.gov/exch/2016-01-31" xmlns:invest="http://xbrl.sec.gov/invest/2013-01-31" xmlns:naics="http://xbrl.sec.gov/naics/2011-01-31" xmlns:sic="http://xbrl.sec.gov/sic/2011-01-31" xmlns:us-types="http://fasb.org/us-types/2016-01-31" xmlns:stpr="http://xbrl.sec.gov/stpr/2011-01-31" xmlns:deprecated="http://www.xbrl.org/2009/arcrole/fact-explanatoryFact" xmlns:nonnum="http://www.xbrl.org/dtr/type/non-numeric" xmlns:num="http://www.xbrl.org/dtr/type/numeric">
  <annotation>
    <appinfo>
      <link:roleType roleURI="http://www.agreerealty.com/role/DocumentAndEntityInformation" id="DocumentAndEntityInformation">
        <link:definition>101 - Document - Document And Entity Information</link:definition>

        <link:usedOn>link:presentationLink</link:usedOn>

        <link:usedOn>link:definitionLink</link:usedOn>

        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>

      <link:roleType roleURI="http://www.agreerealty.com/role/ConsolidatedBalanceSheets" id="ConsolidatedBalanceSheets">
        <link:definition>102 - Statement - CONSOLIDATED BALANCE SHEETS</link:definition>

        <link:usedOn>link:presentationLink</link:usedOn>

        <link:usedOn>link:definitionLink</link:usedOn>

        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>

      <link:roleType roleURI="http://www.agreerealty.com/role/ConsolidatedBalanceSheetsParenthetical" id="ConsolidatedBalanceSheetsParenthetical">
        <link:definition>103 - Statement - CONSOLIDATED BALANCE SHEETS [Parenthetical]</link:definition>

        <link:usedOn>link:presentationLink</link:usedOn>

        <link:usedOn>link:definitionLink</link:usedOn>

        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>

      <link:roleType roleURI="http://www.agreerealty.com/role/ConsolidatedStatementsOfIncomeAndComprehensiveIncome" id="ConsolidatedStatementsOfIncomeAndComprehensiveIncome">
        <link:definition>104 - Statement - CONSOLIDATED STATEMENTS OF INCOME AND COMPREHENSIVE INCOME</link:definition>

        <link:usedOn>link:presentationLink</link:usedOn>

        <link:usedOn>link:definitionLink</link:usedOn>

        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>

      <link:roleType roleURI="http://www.agreerealty.com/role/ConsolidatedStatementOfEquity" id="ConsolidatedStatementOfEquity">
        <link:definition>105 - Statement - CONSOLIDATED STATEMENT OF EQUITY</link:definition>

        <link:usedOn>link:presentationLink</link:usedOn>

        <link:usedOn>link:definitionLink</link:usedOn>

        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>

      <link:roleType roleURI="http://www.agreerealty.com/role/ConsolidatedStatementsOfCashFlows" id="ConsolidatedStatementsOfCashFlows">
        <link:definition>106 - Statement - CONSOLIDATED STATEMENTS OF CASH FLOWS</link:definition>

        <link:usedOn>link:presentationLink</link:usedOn>

        <link:usedOn>link:definitionLink</link:usedOn>

        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>

      <link:roleType roleURI="http://www.agreerealty.com/role/ConsolidatedStatementsOfCashFlowsParenthetical" id="ConsolidatedStatementsOfCashFlowsParenthetical">
        <link:definition>107 - Statement - CONSOLIDATED STATEMENTS OF CASH FLOWS [Parenthetical]</link:definition>

        <link:usedOn>link:presentationLink</link:usedOn>

        <link:usedOn>link:definitionLink</link:usedOn>

        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>

      <link:roleType roleURI="http://www.agreerealty.com/role/Organization" id="Organization">
        <link:definition>108 - Disclosure - Organization</link:definition>

        <link:usedOn>link:presentationLink</link:usedOn>

        <link:usedOn>link:definitionLink</link:usedOn>

        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>

      <link:roleType roleURI="http://www.agreerealty.com/role/SummaryOfSignificantAccountingPolicies" id="SummaryOfSignificantAccountingPolicies">
        <link:definition>109 - Disclosure - Summary of Significant Accounting Policies</link:definition>

        <link:usedOn>link:presentationLink</link:usedOn>

        <link:usedOn>link:definitionLink</link:usedOn>

        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>

      <link:roleType roleURI="http://www.agreerealty.com/role/RealEstateInvestments" id="RealEstateInvestments">
        <link:definition>110 - Disclosure - Real Estate Investments</link:definition>

        <link:usedOn>link:presentationLink</link:usedOn>

        <link:usedOn>link:definitionLink</link:usedOn>

        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>

      <link:roleType roleURI="http://www.agreerealty.com/role/Debt" id="Debt">
        <link:definition>111 - Disclosure - Debt</link:definition>

        <link:usedOn>link:presentationLink</link:usedOn>

        <link:usedOn>link:definitionLink</link:usedOn>

        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>

      <link:roleType roleURI="http://www.agreerealty.com/role/CommonStock" id="CommonStock">
        <link:definition>112 - Disclosure - Common Stock</link:definition>

        <link:usedOn>link:presentationLink</link:usedOn>

        <link:usedOn>link:definitionLink</link:usedOn>

        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>

      <link:roleType roleURI="http://www.agreerealty.com/role/DividendsAndDistributionPayable" id="DividendsAndDistributionPayable">
        <link:definition>113 - Disclosure - Dividends and Distribution Payable</link:definition>

        <link:usedOn>link:presentationLink</link:usedOn>

        <link:usedOn>link:definitionLink</link:usedOn>

        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>

      <link:roleType roleURI="http://www.agreerealty.com/role/DerivativeInstrumentsAndHedgingActivity" id="DerivativeInstrumentsAndHedgingActivity">
        <link:definition>114 - Disclosure - Derivative Instruments and Hedging Activity</link:definition>

        <link:usedOn>link:presentationLink</link:usedOn>

        <link:usedOn>link:definitionLink</link:usedOn>

        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>

      <link:roleType roleURI="http://www.agreerealty.com/role/DiscontinuedOperations" id="DiscontinuedOperations">
        <link:definition>115 - Disclosure - Discontinued Operations</link:definition>

        <link:usedOn>link:presentationLink</link:usedOn>

        <link:usedOn>link:definitionLink</link:usedOn>

        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>

      <link:roleType roleURI="http://www.agreerealty.com/role/FairValueMeasurements" id="FairValueMeasurements">
        <link:definition>116 - Disclosure - Fair Value Measurements</link:definition>

        <link:usedOn>link:presentationLink</link:usedOn>

        <link:usedOn>link:definitionLink</link:usedOn>

        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>

      <link:roleType roleURI="http://www.agreerealty.com/role/EquityIncentivePlan" id="EquityIncentivePlan">
        <link:definition>117 - Disclosure - Equity Incentive Plan</link:definition>

        <link:usedOn>link:presentationLink</link:usedOn>

        <link:usedOn>link:definitionLink</link:usedOn>

        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>

      <link:roleType roleURI="http://www.agreerealty.com/role/SubsequentEvents" id="SubsequentEvents">
        <link:definition>118 - Disclosure - Subsequent Events</link:definition>

        <link:usedOn>link:presentationLink</link:usedOn>

        <link:usedOn>link:definitionLink</link:usedOn>

        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>

      <link:roleType roleURI="http://www.agreerealty.com/role/SummaryOfSignificantAccountingPoliciesPolicies" id="SummaryOfSignificantAccountingPoliciesPolicies">
        <link:definition>119 - Disclosure - Summary of Significant Accounting Policies (Policies)</link:definition>

        <link:usedOn>link:presentationLink</link:usedOn>

        <link:usedOn>link:definitionLink</link:usedOn>

        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>

      <link:roleType roleURI="http://www.agreerealty.com/role/SummaryOfSignificantAccountingPoliciesTables" id="SummaryOfSignificantAccountingPoliciesTables">
        <link:definition>120 - Disclosure - Summary of Significant Accounting Policies (Tables)</link:definition>

        <link:usedOn>link:presentationLink</link:usedOn>

        <link:usedOn>link:definitionLink</link:usedOn>

        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>

      <link:roleType roleURI="http://www.agreerealty.com/role/RealEstateInvestmentsTables" id="RealEstateInvestmentsTables">
        <link:definition>121 - Disclosure - Real Estate Investments (Tables)</link:definition>

        <link:usedOn>link:presentationLink</link:usedOn>

        <link:usedOn>link:definitionLink</link:usedOn>

        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>

      <link:roleType roleURI="http://www.agreerealty.com/role/DebtTables" id="DebtTables">
        <link:definition>122 - Disclosure - Debt (Tables)</link:definition>

        <link:usedOn>link:presentationLink</link:usedOn>

        <link:usedOn>link:definitionLink</link:usedOn>

        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>

      <link:roleType roleURI="http://www.agreerealty.com/role/DerivativeInstrumentsAndHedgingActivityTables" id="DerivativeInstrumentsAndHedgingActivityTables">
        <link:definition>123 - Disclosure - Derivative Instruments and Hedging Activity (Tables)</link:definition>

        <link:usedOn>link:presentationLink</link:usedOn>

        <link:usedOn>link:definitionLink</link:usedOn>

        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>

      <link:roleType roleURI="http://www.agreerealty.com/role/FairValueMeasurementsTables" id="FairValueMeasurementsTables">
        <link:definition>124 - Disclosure - Fair Value Measurements (Tables)</link:definition>

        <link:usedOn>link:presentationLink</link:usedOn>

        <link:usedOn>link:definitionLink</link:usedOn>

        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>

      <link:roleType roleURI="http://www.agreerealty.com/role/EquityIncentivePlanTables" id="EquityIncentivePlanTables">
        <link:definition>125 - Disclosure - Equity Incentive Plan (Tables)</link:definition>

        <link:usedOn>link:presentationLink</link:usedOn>

        <link:usedOn>link:definitionLink</link:usedOn>

        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>

      <link:roleType roleURI="http://www.agreerealty.com/role/OrganizationDetailsTextual" id="OrganizationDetailsTextual">
        <link:definition>126 - Disclosure - Organization (Details Textual)</link:definition>

        <link:usedOn>link:presentationLink</link:usedOn>

        <link:usedOn>link:definitionLink</link:usedOn>

        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>

      <link:roleType roleURI="http://www.agreerealty.com/role/SummaryOfSignificantAccountingPoliciesDetails" id="SummaryOfSignificantAccountingPoliciesDetails">
        <link:definition>127 - Disclosure - Summary of Significant Accounting Policies (Details)</link:definition>

        <link:usedOn>link:presentationLink</link:usedOn>

        <link:usedOn>link:definitionLink</link:usedOn>

        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>

      <link:roleType roleURI="http://www.agreerealty.com/role/SummaryOfSignificantAccountingPoliciesDetails1" id="SummaryOfSignificantAccountingPoliciesDetails1">
        <link:definition>128 - Disclosure - Summary of Significant Accounting Policies (Details 1)</link:definition>

        <link:usedOn>link:presentationLink</link:usedOn>

        <link:usedOn>link:definitionLink</link:usedOn>

        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>

      <link:roleType roleURI="http://www.agreerealty.com/role/SummaryOfSignificantAccountingPoliciesDetails2" id="SummaryOfSignificantAccountingPoliciesDetails2">
        <link:definition>129 - Disclosure - Summary of Significant Accounting Policies (Details 2)</link:definition>

        <link:usedOn>link:presentationLink</link:usedOn>

        <link:usedOn>link:definitionLink</link:usedOn>

        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>

      <link:roleType roleURI="http://www.agreerealty.com/role/SummaryOfSignificantAccountingPoliciesDetailsTextual" id="SummaryOfSignificantAccountingPoliciesDetailsTextual">
        <link:definition>130 - Disclosure - Summary of Significant Accounting Policies (Details Textual)</link:definition>

        <link:usedOn>link:presentationLink</link:usedOn>

        <link:usedOn>link:definitionLink</link:usedOn>

        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>

      <link:roleType roleURI="http://www.agreerealty.com/role/RealEstateInvestmentsDetails" id="RealEstateInvestmentsDetails">
        <link:definition>131 - Disclosure - Real Estate Investments (Details)</link:definition>

        <link:usedOn>link:presentationLink</link:usedOn>

        <link:usedOn>link:definitionLink</link:usedOn>

        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>

      <link:roleType roleURI="http://www.agreerealty.com/role/RealEstateInvestmentsDetails1" id="RealEstateInvestmentsDetails1">
        <link:definition>132 - Disclosure - Real Estate Investments (Details 1)</link:definition>

        <link:usedOn>link:presentationLink</link:usedOn>

        <link:usedOn>link:definitionLink</link:usedOn>

        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>

      <link:roleType roleURI="http://www.agreerealty.com/role/RealEstateInvestmentsDetailsTextual" id="RealEstateInvestmentsDetailsTextual">
        <link:definition>133 - Disclosure - Real Estate Investments (Details Textual)</link:definition>

        <link:usedOn>link:presentationLink</link:usedOn>

        <link:usedOn>link:definitionLink</link:usedOn>

        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>

      <link:roleType roleURI="http://www.agreerealty.com/role/DebtDetails" id="DebtDetails">
        <link:definition>134 - Disclosure - Debt (Details)</link:definition>

        <link:usedOn>link:presentationLink</link:usedOn>

        <link:usedOn>link:definitionLink</link:usedOn>

        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>

      <link:roleType roleURI="http://www.agreerealty.com/role/DebtDetails1" id="DebtDetails1">
        <link:definition>135 - Disclosure - Debt (Details 1)</link:definition>

        <link:usedOn>link:presentationLink</link:usedOn>

        <link:usedOn>link:definitionLink</link:usedOn>

        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>

      <link:roleType roleURI="http://www.agreerealty.com/role/DebtDetails2" id="DebtDetails2">
        <link:definition>136 - Disclosure - Debt (Details 2)</link:definition>

        <link:usedOn>link:presentationLink</link:usedOn>

        <link:usedOn>link:definitionLink</link:usedOn>

        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>

      <link:roleType roleURI="http://www.agreerealty.com/role/DebtDetails3" id="DebtDetails3">
        <link:definition>137 - Disclosure - Debt (Details 3)</link:definition>

        <link:usedOn>link:presentationLink</link:usedOn>

        <link:usedOn>link:definitionLink</link:usedOn>

        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>

      <link:roleType roleURI="http://www.agreerealty.com/role/DebtDetailsTextual" id="DebtDetailsTextual">
        <link:definition>138 - Disclosure - Debt (Details Textual)</link:definition>

        <link:usedOn>link:presentationLink</link:usedOn>

        <link:usedOn>link:definitionLink</link:usedOn>

        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>

      <link:roleType roleURI="http://www.agreerealty.com/role/CommonStockDetailsTextual" id="CommonStockDetailsTextual">
        <link:definition>139 - Disclosure - Common Stock (Details Textual)</link:definition>

        <link:usedOn>link:presentationLink</link:usedOn>

        <link:usedOn>link:definitionLink</link:usedOn>

        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>

      <link:roleType roleURI="http://www.agreerealty.com/role/DividendsAndDistributionPayableDetailsTextual" id="DividendsAndDistributionPayableDetailsTextual">
        <link:definition>140 - Disclosure - Dividends and Distribution Payable (Details Textual)</link:definition>

        <link:usedOn>link:presentationLink</link:usedOn>

        <link:usedOn>link:definitionLink</link:usedOn>

        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>

      <link:roleType roleURI="http://www.agreerealty.com/role/DerivativeInstrumentsAndHedgingActivityDetails" id="DerivativeInstrumentsAndHedgingActivityDetails">
        <link:definition>141 - Disclosure - Derivative Instruments and Hedging Activity (Details)</link:definition>

        <link:usedOn>link:presentationLink</link:usedOn>

        <link:usedOn>link:definitionLink</link:usedOn>

        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>

      <link:roleType roleURI="http://www.agreerealty.com/role/DerivativeInstrumentsAndHedgingActivityDetails1" id="DerivativeInstrumentsAndHedgingActivityDetails1">
        <link:definition>142 - Disclosure - Derivative Instruments and Hedging Activity (Details 1)</link:definition>

        <link:usedOn>link:presentationLink</link:usedOn>

        <link:usedOn>link:definitionLink</link:usedOn>

        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>

      <link:roleType roleURI="http://www.agreerealty.com/role/DerivativeInstrumentsAndHedgingActivityDetails2" id="DerivativeInstrumentsAndHedgingActivityDetails2">
        <link:definition>143 - Disclosure - Derivative Instruments and Hedging Activity (Details 2)</link:definition>

        <link:usedOn>link:presentationLink</link:usedOn>

        <link:usedOn>link:definitionLink</link:usedOn>

        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>

      <link:roleType roleURI="http://www.agreerealty.com/role/DerivativeInstrumentsAndHedgingActivityDetails3" id="DerivativeInstrumentsAndHedgingActivityDetails3">
        <link:definition>144 - Disclosure - Derivative Instruments and Hedging Activity (Details 3)</link:definition>

        <link:usedOn>link:presentationLink</link:usedOn>

        <link:usedOn>link:definitionLink</link:usedOn>

        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>

      <link:roleType roleURI="http://www.agreerealty.com/role/DerivativeInstrumentsAndHedgingActivityDetailsTextual" id="DerivativeInstrumentsAndHedgingActivityDetailsTextual">
        <link:definition>145 - Disclosure - Derivative Instruments and Hedging Activity (Details Textual)</link:definition>

        <link:usedOn>link:presentationLink</link:usedOn>

        <link:usedOn>link:definitionLink</link:usedOn>

        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>

      <link:roleType roleURI="http://www.agreerealty.com/role/FairValueMeasurementsDetails" id="FairValueMeasurementsDetails">
        <link:definition>146 - Disclosure - Fair Value Measurements (Details)</link:definition>

        <link:usedOn>link:presentationLink</link:usedOn>

        <link:usedOn>link:definitionLink</link:usedOn>

        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>

      <link:roleType roleURI="http://www.agreerealty.com/role/FairValueMeasurementsDetailsTextual" id="FairValueMeasurementsDetailsTextual">
        <link:definition>147 - Disclosure - Fair Value Measurements (Details Textual)</link:definition>

        <link:usedOn>link:presentationLink</link:usedOn>

        <link:usedOn>link:definitionLink</link:usedOn>

        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>

      <link:roleType roleURI="http://www.agreerealty.com/role/EquityIncentivePlanDetails" id="EquityIncentivePlanDetails">
        <link:definition>148 - Disclosure - Equity Incentive Plan (Details)</link:definition>

        <link:usedOn>link:presentationLink</link:usedOn>

        <link:usedOn>link:definitionLink</link:usedOn>

        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>

      <link:roleType roleURI="http://www.agreerealty.com/role/EquityIncentivePlanDetailsTextual" id="EquityIncentivePlanDetailsTextual">
        <link:definition>149 - Disclosure - Equity Incentive Plan (Details Textual)</link:definition>

        <link:usedOn>link:presentationLink</link:usedOn>

        <link:usedOn>link:definitionLink</link:usedOn>

        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>

      <link:linkbaseRef xlink:type="simple" xlink:href="adc-20170331_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />

      <link:linkbaseRef xlink:type="simple" xlink:href="adc-20170331_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />

      <link:linkbaseRef xlink:type="simple" xlink:href="adc-20170331_lab.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />

      <link:linkbaseRef xlink:type="simple" xlink:href="adc-20170331_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
    </appinfo>
  </annotation>

  <import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd" />

  <import namespace="http://www.xbrl.org/2003/linkbase" schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" />

  <import namespace="http://xbrl.org/2005/xbrldt" schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd" />

  <import namespace="http://fasb.org/us-gaap/2016-01-31" schemaLocation="http://xbrl.fasb.org/us-gaap/2016/elts/us-gaap-2016-01-31.xsd" />

  <import namespace="http://xbrl.sec.gov/invest/2013-01-31" schemaLocation="http://xbrl.sec.gov/invest/2013/invest-2013-01-31.xsd" />

  <import namespace="http://xbrl.sec.gov/country/2016-01-31" schemaLocation="http://xbrl.sec.gov/country/2016/country-2016-01-31.xsd" />

  <import namespace="http://xbrl.sec.gov/currency/2016-01-31" schemaLocation="http://xbrl.sec.gov/currency/2016/currency-2016-01-31.xsd" />

  <import namespace="http://xbrl.sec.gov/exch/2016-01-31" schemaLocation="http://xbrl.sec.gov/exch/2016/exch-2016-01-31.xsd" />

  <import namespace="http://xbrl.sec.gov/naics/2011-01-31" schemaLocation="http://xbrl.sec.gov/naics/2011/naics-2011-01-31.xsd" />

  <import namespace="http://xbrl.sec.gov/sic/2011-01-31" schemaLocation="http://xbrl.sec.gov/sic/2011/sic-2011-01-31.xsd" />

  <import namespace="http://xbrl.sec.gov/stpr/2011-01-31" schemaLocation="http://xbrl.sec.gov/stpr/2011/stpr-2011-01-31.xsd" />

  <import namespace="http://www.xbrl.org/2009/role/negated" schemaLocation="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd" />

  <import namespace="http://www.xbrl.org/2009/role/net" schemaLocation="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd" />

  <import namespace="http://www.xbrl.org/2009/arcrole/fact-explanatoryFact" schemaLocation="http://www.xbrl.org/lrr/arcrole/factExplanatory-2009-12-16.xsd" />

  <import namespace="http://xbrl.sec.gov/dei/2014-01-31" schemaLocation="http://xbrl.sec.gov/dei/2014/dei-2014-01-31.xsd" />

  <import namespace="http://www.xbrl.org/dtr/type/numeric" schemaLocation="http://www.xbrl.org/dtr/type/numeric-2009-12-16.xsd" />

  <import namespace="http://www.xbrl.org/dtr/type/non-numeric" schemaLocation="http://www.xbrl.org/dtr/type/nonNumeric-2009-12-16.xsd" />

  <import namespace="http://fasb.org/us-types/2016-01-31" schemaLocation="http://xbrl.fasb.org/us-gaap/2016/elts/us-types-2016-01-31.xsd" />

  <element name="DocumentAndEntityInformationAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_DocumentAndEntityInformationAbstract" />

  <element name="DividendsAndDistributionsPayableTextBlock" type="nonnum:textBlockItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_DividendsAndDistributionsPayableTextBlock" />

  <element name="PurchaseAccountingForAcquisitionsOfRealEstatePolicyTextBlock" type="nonnum:textBlockItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_PurchaseAccountingForAcquisitionsOfRealEstatePolicyTextBlock" />

  <element name="SalesTaxPolicyTextBlock" type="nonnum:textBlockItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_SalesTaxPolicyTextBlock" />

  <element name="ScheduleOfCompletedOrCommencedConstructionOn14DevelopmentTableTextBlock" type="nonnum:textBlockItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_ScheduleOfCompletedOrCommencedConstructionOn14DevelopmentTableTextBlock" />

  <element name="SeriesJuniorParticipatingPreferredStockMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_SeriesJuniorParticipatingPreferredStockMember" />

  <element name="NatureOfOperationsTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem" id="adc_NatureOfOperationsTable" />

  <element name="NatureOfOperationsLineItems" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_NatureOfOperationsLineItems" />

  <element name="DeferredExpensesTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem" id="adc_DeferredExpensesTable" />

  <element name="DeferredExpensesAxis" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:dimensionItem" id="adc_DeferredExpensesAxis" />

  <element name="DeferredExpensesDomain" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_DeferredExpensesDomain" />

  <element name="LeasingCostsMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_LeasingCostsMember" />

  <element name="LeaseIntangiblesMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_LeaseIntangiblesMember" />

  <element name="CreditFacilityFinancingCostsMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_CreditFacilityFinancingCostsMember" />

  <element name="DeferredExpensesLineItems" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_DeferredExpensesLineItems" />

  <element name="AccountingPoliciesTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem" id="adc_AccountingPoliciesTable" />

  <element name="NoteAndMortgagesPayableTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem" id="adc_NoteAndMortgagesPayableTable" />

  <element name="DueDateAxis" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:dimensionItem" id="adc_DueDateAxis" />

  <element name="DueDateDomain" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_DueDateDomain" />

  <element name="May142017Member" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_May142017Member" />

  <element name="January2020Member" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_January2020Member" />

  <element name="February2020Member" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_February2020Member" />

  <element name="January12023Member" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_January12023Member" />

  <element name="September2023Member" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_September2023Member" />

  <element name="July2026Member" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_July2026Member" />

  <element name="LongtermDebtMaturitiesRepaymentsOfPrincipalTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem" id="adc_LongtermDebtMaturitiesRepaymentsOfPrincipalTable" />

  <element name="DebtAxis" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:dimensionItem" id="adc_DebtAxis" />

  <element name="DebtDomain" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_DebtDomain" />

  <element name="April42018Member" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_April42018Member" />

  <element name="UnsecuredTermLoanMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_UnsecuredTermLoanMember" />

  <element name="RevolvingCreditAndTermLoanFacilityMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_RevolvingCreditAndTermLoanFacilityMember" />

  <element name="DividendsAndDistributionsPayableAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_DividendsAndDistributionsPayableAbstract" />

  <element name="DividendsAndDistributionPayableTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem" id="adc_DividendsAndDistributionPayableTable" />

  <element name="AgreeLimitedPartnershipMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_AgreeLimitedPartnershipMember" />

  <element name="InterestRateSwapAgreementOneMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_InterestRateSwapAgreementOneMember" />

  <element name="InterestRateSwapAgreementTwoMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_InterestRateSwapAgreementTwoMember" />

  <element name="InterestRateSwapAgreementThreeMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_InterestRateSwapAgreementThreeMember" />

  <element name="InterestRateSwapAgreementFourMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_InterestRateSwapAgreementFourMember" />

  <element name="FairValueInputsForfeitureRate" type="num:percentItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_FairValueInputsForfeitureRate" />

  <element name="LongtermDebtMaturitiesRepaymentsOfPrincipalLineItems" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_LongtermDebtMaturitiesRepaymentsOfPrincipalLineItems" />

  <element name="DebtInstrumentScheduledPrincipalMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_DebtInstrumentScheduledPrincipalMember" />

  <element name="DebtInsrumentBalloonedPaymentMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_DebtInsrumentBalloonedPaymentMember" />

  <element name="MortgageNotePayableMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_MortgageNotePayableMember" />

  <element name="NumberOfProjectsAxis" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:dimensionItem" id="adc_NumberOfProjectsAxis" />

  <element name="SeniorUnsecuredNotesMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_SeniorUnsecuredNotesMember" />

  <element name="GrossAmountRemainingToBeIssued" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" nillable="true" xbrli:balance="debit" substitutionGroup="xbrli:item" id="adc_GrossAmountRemainingToBeIssued" />

  <element name="AtmProgramMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_AtmProgramMember" />

  <element name="UnsecuredDebtOneMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_UnsecuredDebtOneMember" />

  <element name="UnsecuredDebtTwoMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_UnsecuredDebtTwoMember" />

  <element name="ValueOfEquityInstrumentsToBeIssued" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" nillable="true" xbrli:balance="credit" substitutionGroup="xbrli:item" id="adc_ValueOfEquityInstrumentsToBeIssued" />

  <element name="OwnershipPercentageOnControllingInterestByParent" type="num:percentItemType" abstract="false" xbrli:periodType="instant" nillable="true" substitutionGroup="xbrli:item" id="adc_OwnershipPercentageOnControllingInterestByParent" />

  <element name="MortgageNotesPayableMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_MortgageNotesPayableMember" />

  <element name="SeniorUnsecuredNote2025Member" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_SeniorUnsecuredNote2025Member" />

  <element name="SeniorUnsecuredNote2027Member" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_SeniorUnsecuredNote2027Member" />

  <element name="SeniorUnsecuredNote2028Member" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_SeniorUnsecuredNote2028Member" />

  <element name="TermLoan2019Member" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_TermLoan2019Member" />

  <element name="TermLoan2020Member" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_TermLoan2020Member" />

  <element name="TwoThousandNineteenTermLoanMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_TwoThousandNineteenTermLoanMember" />

  <element name="OffsettingAssetsAndLiabilitiesTableTextBlock" type="nonnum:textBlockItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_OffsettingAssetsAndLiabilitiesTableTextBlock" />

  <element name="InterestRateSwapAgreementFiveMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_InterestRateSwapAgreementFiveMember" />

  <element name="TwoThousandTwentyFourTermLoanFacilityOneMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_TwoThousandTwentyFourTermLoanFacilityOneMember" />

  <element name="TwoThousandTwentyFourTermLoanFacilityTwoMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_TwoThousandTwentyFourTermLoanFacilityTwoMember" />

  <element name="TwoThousandTwentyFourTermLoanFacilitiliesMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_TwoThousandTwentyFourTermLoanFacilitiliesMember" />

  <element name="NumberOfProjectsDomain" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_NumberOfProjectsDomain" />

  <element name="PropertyLocationAxis" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:dimensionItem" id="adc_PropertyLocationAxis" />

  <element name="PropertyLocationDomain" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_PropertyLocationDomain" />

  <element name="TylerTxMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_TylerTxMember" />

  <element name="HeberUtMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_HeberUtMember" />

  <element name="GeorgetownKyMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_GeorgetownKyMember" />

  <element name="BoyntonBeachFlMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_BoyntonBeachFlMember" />

  <element name="LeasePropertyStructure" type="xbrli:stringItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_LeasePropertyStructure" />

  <element name="LeaseExpirationTerm" type="xbrli:durationItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_LeaseExpirationTerm" />

  <element name="LeaseRentCommencementPeriod" type="xbrli:stringItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_LeaseRentCommencementPeriod" />

  <element name="PropertyConstructionStatus" type="xbrli:stringItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_PropertyConstructionStatus" />

  <element name="TermLoan2021Member" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_TermLoan2021Member" />

  <element name="TermLoan2023Member" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_TermLoan2023Member" />

  <element name="AccountingPoliciesLineItems" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_AccountingPoliciesLineItems" />

  <element name="LineOfCreditFacilityMaximumLimitOfBorrowingCapacity" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" nillable="true" xbrli:balance="credit" substitutionGroup="xbrli:item" id="adc_LineOfCreditFacilityMaximumLimitOfBorrowingCapacity" />

  <element name="ElevenRetailNetLeaseAssetsMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_ElevenRetailNetLeaseAssetsMember" />

  <element name="FourteenDevelopmentAndPcsProjectMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="adc_FourteenDevelopmentAndPcsProjectMember" />

  <element name="DerivativeLiabilityFixedRateDebtCarryingValue" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" nillable="true" xbrli:balance="credit" substitutionGroup="xbrli:item" id="adc_DerivativeLiabilityFixedRateDebtCarryingValue" />

  <element name="DerivativeLiabilityFixedRateDebtFairValue" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" nillable="true" xbrli:balance="credit" substitutionGroup="xbrli:item" id="adc_DerivativeLiabilityFixedRateDebtFairValue" />

  <element name="DerivativeLiabilityVariableRateDebtFairValue" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" nillable="true" xbrli:balance="credit" substitutionGroup="xbrli:item" id="adc_DerivativeLiabilityVariableRateDebtFairValue" />
</schema>

